Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo.listener
Interface AttachLifecycleListener

All Superinterfaces:
  InstanceLifecycleListener

    public interface AttachLifecycleListener

extends InstanceLifecycleListener

This interface is implemented by listeners to be notified of attach events.

Since:
  2.0
Version:
  2.0

Method Summary
`void` | `postAttach(InstanceLifecycleEvent event)` This method is called after a detached instance is attached, via the `PersistenceManager.makePersistent(java.lang.Object)` method.
`void` | `preAttach(InstanceLifecycleEvent event)` This method is called before a detached instance is attached, via the `PersistenceManager.makePersistent(java.lang.Object)` method.

Method Detail

### preAttach

    void preAttach(InstanceLifecycleEvent event)

  This method is called before a detached instance is attached, via the `PersistenceManager.makePersistent(java.lang.Object)` method. The source instance is the detached instance. This method is called before the corresponding `AttachCallback.jdoPreAttach()` on the detached instance.

  Parameters:
    `event` - the attach event.
  Since:
    2.0

### postAttach

    void postAttach(InstanceLifecycleEvent event)

  This method is called after a detached instance is attached, via the `PersistenceManager.makePersistent(java.lang.Object)` method. The source instance is the corresponding persistent instance in the cache; the target instance is the detached instance. This method is called after the corresponding `AttachCallback.jdoPostAttach(java.lang.Object)` on the persistent instance.

  Parameters:
    `event` - the attach event.
  Since:
    2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2006 Apache Software Foundation. All Rights Reserved.